> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List run result rows

> Returns row-level input and result aggregation for one loomloom run. The caller's credential is forwarded to loomloom Core for access control.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/users/me/runs/{run}/resultRows
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/users/me/runs/{run}/resultRows:
    get:
      tags:
        - Runs
      summary: List run result rows
      description: >-
        Returns row-level input and result aggregation for one loomloom run. The
        caller's credential is forwarded to loomloom Core for access control.
      parameters:
        - name: run
          in: path
          description: Run ID
          required: true
          example: ''
          schema:
            type: string
        - name: pageSize
          in: query
          description: Page size. Default 50, max 200.
          required: false
          example: ''
          schema:
            type: integer
        - name: pageToken
          in: query
          description: Page token
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.runResultRowsResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.runResultRowsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/server.runResultRowResponse'
        nextPageToken:
          type: string
        totalCount:
          type: integer
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.runResultRowResponse:
      type: object
      properties:
        artifacts:
          type: array
          items:
            $ref: '#/components/schemas/server.runResultRowArtifact'
        errorMessage:
          type: string
        inputJson:
          type: string
        rowIndex:
          type: integer
        status:
          type: string
        stepErrors:
          type: array
          items:
            $ref: '#/components/schemas/server.runResultRowStepError'
    server.runResultRowArtifact:
      type: object
      properties:
        accessUrl:
          type: string
        artifactId:
          type: string
        createdAtUnix:
          type: integer
        inlineText:
          type: string
        mimeType:
          type: string
        portName:
          type: string
        stepId:
          type: string
    server.runResultRowStepError:
      type: object
      properties:
        errorCode:
          type: string
        errorMessage:
          type: string
        errorUrl:
          type: string
        status:
          type: string
        stepId:
          type: string
        stepLabel:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````